Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse won't start on AIX71 during instalation of WAS855(eclipse claims libswt-pi-gtk-3659.a missing)
icon5.gif  Eclipse won't start on AIX71 during instalation of WAS855 [message #1748568] Thu, 24 November 2016 14:19 Go to next message
sebi ms is currently offline sebi msFriend
Messages: 1
Registered: November 2016
Junior Member
Dear team,

During the instalation of a Websphere App Serv v855 I experience the following issue on my AIX71 machine:

When trying to launch a preconfig script,

wct.sh

from path

#pwd
/was/IBM_WAS/WebSphere855/AppServer/bin/ProfileManagement/eclipse64

after it sets the installer's variables and paths it hangs at a ./eclipse calling line and crashes like that:

+ ./eclipse -nosplash -vm /was/IBM_WAS/WebSphere855/AppServer/java/jre/bin/javaw -vmargs -Xbootclasspath/a:/was/IBM_WAS/WebSphere855/AppServer/lib/bootstrap.jar -Djava.endorsed.dirs=/was/IBM_WAS/WebSphere855/AppServer/endorsed_apis:/was/IBM_WAS/WebSphere855/AppServer/java/jre/lib/endorsed -Declipse.refreshBundles=true -DJAVA_NATIVE_LIB_DIR=/was/IBM_WAS/WebSphere855/AppServer/lib/native/aix/ppc_64/ -DWAS_HOME=/was/IBM_WAS/WebSphere855/AppServer
Eclipse:
An error has occurred. See the log file
/.ibm/WebSphere/AppServer/workspaces/WCT85/.metadata/.log.



and then i go to the log file and find the following:



!SESSION 2016-11-24 16:13:46.508 -----------------------------------------------
eclipse.buildId=unknown
java.fullversion=JRE 1.6.0 IBM J9 2.6 AIX ppc64-64 Compressed References 20130415_145193 (JIT enabled, AOT enabled)
J9VM - R26_Java626_SR5_FP1_2_20130415_1210_B145193
JIT - r11.b03_20130131_32403ifx3
GC - R26_Java626_SR5_FP1_2_20130415_1210_B145193_CMPRSS
J9CL - 20130415_145193
BootLoader constants: OS=aix, ARCH=ppc64, WS=gtk, NL=en_US
Command-line arguments: -os aix -ws gtk -arch ppc64 -clean

!ENTRY org.eclipse.osgi 4 0 2016-11-24 16:13:50.728
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
/.ibm/WebSphere/AppServer/configurations/WCT85/org.eclipse.osgi/bundles/51/1/.cp/libswt-pi-gtk-3659.a (A file or directory in the path name does not exist.)
swt-pi-gtk (Not found in java.library.path)
/tmp/swtlib-64/libswt-pi-gtk-3659.a (A file or directory in the path name does not exist.)
/tmp/swtlib-64/libswt-pi-gtk.a (A file or directory in the path name does not exist.)

at org.eclipse.swt.internal.Library.loadLibrary(Library.java:267)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:174)
at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:22)
at java.lang.J9VMInternals.initializeImpl(Native Method)
at java.lang.J9VMInternals.initialize(J9VMInternals.java:236)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:132)
at java.lang.J9VMInternals.initializeImpl(Native Method)
at java.lang.J9VMInternals.initialize(J9VMInternals.java:236)
at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:687)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
at com.ibm.ws.pmt.tools.WasToolApplication.run(WasToolApplication.java:190)
at com.ibm.ws.pmt.views.standalone.StandAloneToolApplication.run(StandAloneToolApplication.java:70)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
at java.lang.reflect.Method.invoke(Method.java:611)
at org.eclipse.equinox.internal.app.EclipseAppContainer.callMethodWithException(EclipseAppContainer.java:587)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:198)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
at java.lang.reflect.Method.invoke(Method.java:611)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:620)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:575)
at org.eclipse.equinox.launcher.Main.run(Main.java:1408)
at org.eclipse.equinox.launcher.Main.main(Main.java:1384)




I'm puzzled, no ideea where to start from.


Please help!

Many thanks in advance!

Re: Eclipse won't start on AIX71 during instalation of WAS855 [message #1748700 is a reply to message #1748568] Sun, 27 November 2016 10:37 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30299
Registered: July 2009
Senior Member
I think it's better to ask on an Websphere forum.
Previous Topic: Why Launching failed?
Next Topic:Is it possible to use an external plugins directory? Unable to get dropins working.
Goto Forum:
  


Current Time: Tue Jul 16 08:01:56 GMT 2019

Powered by FUDForum. Page generated in 0.02565 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top